Subject: beyond Verlet's algorithm

From: Thomas Heine <[email-masked]>
Date: Mon, 06 Aug 2001 10:03:13 +0200

Dear CCLers,

many MD codes use Verlet's algorithm to obtain trajectories in MD 
simulations. This algorithm is very compact and optimized for 
- minimal storage of information
- minimal number of operations in the integration process
to advance coordinates (and velocities) with time.

Let's assume that the computing time needed to get new coordinates R(t+ delta 
t) is negligible to the time spent for calculating energy and forces. 

My question is whether there is a more sophisticated algorithm around, which 
integrates with an as large as possible delta t (determined with some 
theshold), which uses coordinates, velocities and accelerations of N previous 
iterations?

Thanks in advance

Thomas Heine